Get alert detail
curl --request GET \
--url https://api.algoreg.com/api/v1/alerts/{alert_id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.algoreg.com/api/v1/alerts/{alert_id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.algoreg.com/api/v1/alerts/{alert_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"created_at": "string",
"customer_external_id": "string",
"id": "string",
"last_revision": {
"agent_id": "string",
"associates": [
{
"association_type_code": "integer",
"association_type_label": "string",
"list_id": "string"
}
],
"comment": "string",
"created_at": "string",
"customer_revision_id": "string",
"id": "string",
"is_pep": "boolean",
"is_rca": "boolean",
"is_rca_pep": "boolean",
"is_rca_san": "boolean",
"is_rca_sie": "boolean",
"is_rca_sip": "boolean",
"is_rca_soe": "boolean",
"is_rca_sop": "boolean",
"is_san": "boolean",
"is_sie": "boolean",
"is_sip": "boolean",
"is_soe": "boolean",
"is_sop": "boolean",
"list_name": "string",
"list_profile": {
"addresses": [
{
"address_city": "string",
"address_country": "string",
"address_line": "string",
"url": "string"
}
],
"birth_place": [
"string"
],
"company_details": [
{
"address_city": "string",
"address_country": "string",
"address_line": "string",
"url": "string"
}
],
"countries": [
{
"codes": [
"string"
],
"country_type": "string",
"country_type_code": "integer",
"iso3_codes": [
"string"
],
"names": [
"string"
]
}
],
"date": "string",
"date_formated": "string",
"dates": [
{
"date_type": "string",
"date_type_code": "integer",
"date_values": [
{
"day": "string",
"dnote": "string",
"formated": "string",
"month": "string",
"year": "string"
}
]
}
],
"deceased": "boolean",
"descriptions": {
"descriptions1": [
{
"id": "string",
"text": "string"
}
],
"descriptions2": [
{
"id": "string",
"text": "string"
}
],
"descriptions3": [
{
"id": "string",
"text": "string"
}
]
},
"gender": "string",
"id_number_type": [
{
"id_type": "string",
"id_values": [
{
"id_notes": "string",
"value": "string"
}
]
}
],
"images": [
"string"
],
"list_id": "string",
"names": [
{
"name_type": "string",
"name_type_code": "integer",
"name_values": [
{
"entity_name": [
"string"
],
"first_name": [
"string"
],
"maiden_name": [
"string"
],
"middle_name": [
"string"
],
"original_script_name": [
"string"
],
"single_string_name": [
"string"
],
"suffix": [
"string"
],
"surname": [
"string"
],
"title_honorific": [
"string"
]
}
]
}
],
"profile_notes": "string",
"roles": [
{
"occupations": [
{
"category": "string",
"code": "string",
"since_day": "string",
"since_formated": "string",
"since_month": "string",
"since_year": "string",
"title": "string",
"to_day": "string",
"to_formated": "string",
"to_month": "string",
"to_year": "string"
}
],
"role_type": "string",
"role_type_code": "integer"
}
],
"sanctions": [
{
"reference": "string",
"since_day": "string",
"since_formated": "string",
"since_month": "string",
"since_year": "string",
"to_day": "string",
"to_formated": "string",
"to_month": "string",
"to_year": "string"
}
],
"sources": [
"string"
],
"status": "string",
"type": "string",
"vessels": [
{
"vessel_call_sign": "string",
"vessel_flag": "string",
"vessel_grt": "string",
"vessel_owner": "string",
"vessel_tonnage": "string",
"vessel_type": "string"
}
]
},
"profile_date": "integer",
"revision_number": "integer",
"score": "integer",
"state": "integer",
"top_category": "string"
},
"profile_number": "string",
"revisions": [
{
"agent_id": "string",
"comment": "string",
"created_at": "string",
"customer_revision_id": "string",
"id": "string",
"profile_date": "integer",
"revision_number": "integer",
"score": "integer",
"state": "integer",
"top_category": "string"
}
]
}
{
"errors": [
{
"code": "string",
"deprecated": "boolean",
"message": "string",
"will_be_deprecated": "boolean"
}
]
}
Go!Scan
Get alert detail
Returns the details of an alert.
GET
/
api
/
v1
/
alerts
/
{alert_id}
Get alert detail
Path parameters
string
required
Response body
- 200
- default
string
string
string
FullAlertLastRevision
Show properties
Show properties
string
string
string
string
string
boolean
boolean
boolean
boolean
boolean
boolean
boolean
boolean
boolean
boolean
boolean
boolean
boolean
string
DJRecord
Show properties
Show properties
string[]
DJCountry[]
string
Record update date
string
Record update date formatted
DJDate[]
boolean
DJDescriptions
string
string[]
string
DJName[]
Show properties
Show properties
string
See NameTypes
integer
See NameTypes
DJNameValue[]
Show properties
Show properties
string
Additional notes
DJRole[]
string[]
Source url, newspaper links etc
string
string
integer
integer
integer
Overall match score between 0 and 100
integer
string
PEP, SAN, SIP, RCA_SIP, etc
string
{
"created_at": "string",
"customer_external_id": "string",
"id": "string",
"last_revision": {
"agent_id": "string",
"associates": [
{
"association_type_code": "integer",
"association_type_label": "string",
"list_id": "string"
}
],
"comment": "string",
"created_at": "string",
"customer_revision_id": "string",
"id": "string",
"is_pep": "boolean",
"is_rca": "boolean",
"is_rca_pep": "boolean",
"is_rca_san": "boolean",
"is_rca_sie": "boolean",
"is_rca_sip": "boolean",
"is_rca_soe": "boolean",
"is_rca_sop": "boolean",
"is_san": "boolean",
"is_sie": "boolean",
"is_sip": "boolean",
"is_soe": "boolean",
"is_sop": "boolean",
"list_name": "string",
"list_profile": {
"addresses": [
{
"address_city": "string",
"address_country": "string",
"address_line": "string",
"url": "string"
}
],
"birth_place": [
"string"
],
"company_details": [
{
"address_city": "string",
"address_country": "string",
"address_line": "string",
"url": "string"
}
],
"countries": [
{
"codes": [
"string"
],
"country_type": "string",
"country_type_code": "integer",
"iso3_codes": [
"string"
],
"names": [
"string"
]
}
],
"date": "string",
"date_formated": "string",
"dates": [
{
"date_type": "string",
"date_type_code": "integer",
"date_values": [
{
"day": "string",
"dnote": "string",
"formated": "string",
"month": "string",
"year": "string"
}
]
}
],
"deceased": "boolean",
"descriptions": {
"descriptions1": [
{
"id": "string",
"text": "string"
}
],
"descriptions2": [
{
"id": "string",
"text": "string"
}
],
"descriptions3": [
{
"id": "string",
"text": "string"
}
]
},
"gender": "string",
"id_number_type": [
{
"id_type": "string",
"id_values": [
{
"id_notes": "string",
"value": "string"
}
]
}
],
"images": [
"string"
],
"list_id": "string",
"names": [
{
"name_type": "string",
"name_type_code": "integer",
"name_values": [
{
"entity_name": [
"string"
],
"first_name": [
"string"
],
"maiden_name": [
"string"
],
"middle_name": [
"string"
],
"original_script_name": [
"string"
],
"single_string_name": [
"string"
],
"suffix": [
"string"
],
"surname": [
"string"
],
"title_honorific": [
"string"
]
}
]
}
],
"profile_notes": "string",
"roles": [
{
"occupations": [
{
"category": "string",
"code": "string",
"since_day": "string",
"since_formated": "string",
"since_month": "string",
"since_year": "string",
"title": "string",
"to_day": "string",
"to_formated": "string",
"to_month": "string",
"to_year": "string"
}
],
"role_type": "string",
"role_type_code": "integer"
}
],
"sanctions": [
{
"reference": "string",
"since_day": "string",
"since_formated": "string",
"since_month": "string",
"since_year": "string",
"to_day": "string",
"to_formated": "string",
"to_month": "string",
"to_year": "string"
}
],
"sources": [
"string"
],
"status": "string",
"type": "string",
"vessels": [
{
"vessel_call_sign": "string",
"vessel_flag": "string",
"vessel_grt": "string",
"vessel_owner": "string",
"vessel_tonnage": "string",
"vessel_type": "string"
}
]
},
"profile_date": "integer",
"revision_number": "integer",
"score": "integer",
"state": "integer",
"top_category": "string"
},
"profile_number": "string",
"revisions": [
{
"agent_id": "string",
"comment": "string",
"created_at": "string",
"customer_revision_id": "string",
"id": "string",
"profile_date": "integer",
"revision_number": "integer",
"score": "integer",
"state": "integer",
"top_category": "string"
}
]
}
{
"errors": [
{
"code": "string",
"deprecated": "boolean",
"message": "string",
"will_be_deprecated": "boolean"
}
]
}
⌘I